Description

The discussion begins in #13506 (note-15)

I have many QGIS versions installed through osgeo4w (LTR, 2.12, master). Each QGIS version comes with a Processing version :

master --> Processing 2.10.99

2.12 Lyon --> Processing 2.10.2 (the currently published version)

2.8.3 LTR --> Processing 2.6

Since Processing 2.6 is outdated, user is asked to update it to 2.10.2. Updating processing creates a processing folder in

.qgis2/python/plugins folder and this version shadows all the others. I still have Processing 2.6 in my 2.8 app folder and 2.10.99 in the

master app folder but they are inaccessible from QGIS Desktop.

Only Processing 2.10.2 is available, whatever qgis version I try, meaning that I have no more access to processing 2.10.99 and its new

stuffs/debugging. I can't have the current processing in LTR and the dev one in Master at the same time (using qgis tools).

I think the processing version updated should be updated in the app folder not in .qgis2/python/plugins folder so that user can keep

different versions of this plugin.

History

#1 - 2015-11-07 01:54 AM - Giovanni Manghi

- Tracker changed from Bug report to Feature request

- Target version deleted (Future Release - Nice to have)

Not sure I agree in general, anyway updating in the installation folder I guess would be a problem with permissions.

#2 - 2016-01-08 06:24 AM - Harrissou Santanna

You are right that my proposal may not be easily doable.

This issue pops up again:

- The current version for QGIS 2.12.2 is Processing 2.12.2

- The version available for QGIS LTR 2.8.5 is currently Processing 2.10.3

That means that once I updated to Processing 2.12.2, Processing plugin is stated broken in QGIS 2.8.5. 

If I want to use the most up to date Processing plugin from my different versions of QGIS, I have to reinstall Processing each time I change QGIS version.

#3 - 2016-01-08 06:56 AM - Alexander Bruy

Harrissou Santanna wrote:

That means that once I updated to Processing 2.12.2, Processing plugin is stated broken in QGIS 2.8.5. 
If I want to use the most up to date Processing plugin from my different versions of QGIS, I have to reinstall Processing each time I change QGIS

version.

This is different issue. In this case problem caused by the fact that both QGIS versions use same user folder ~/.qgis2 where all plugins stored.

#4 - 2016-01-08 07:47 AM - Harrissou Santanna

I don't think it's different. I think it's another effect of placing Processing plugin in user folder ~/.qgis2 when updating. In my initial report I was focusing at

that time on the developing version of the plugin not available.

But globally each time you change Processing update version, there may be a QGIS version that may not work with it. In this case:

- in QGIS 2.13, Processing version available and usable is now 2.12.2 when it was 2.12.99 before update. I can't get back 2.12.99 (e.g, if i want to

contribute with tests) without trashing the folder in ~/.qgis2, 

- in QGIS 2.8.5,  the 2.12.2 updated version of Processing is not usable (broken) and the available version of this plugin is only 2.10.3. This last version

may work with all QGIS versions I guess, but also, I'm far from being up to date.

#5 - 2016-01-13 08:36 AM - Giovanni Manghi

- Subject changed from Updating Processing in Plugin Manager should not shadow the one shipped with QGIS Master to Better handling of Processing 

updates for qgis/qgis-ltr/master

- Category changed from Python plugins to Processing/Core

#6 - 2016-06-21 10:13 AM - Alexander Bruy

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Processing was removed from Official Plugins Repository and will be shipped only with QGIS.
